//
//  BTAlarmViewController.m
//  coreBluetoothiPhone
//
//  Created by Luigi D'Acunto on 01/05/14.
//  Copyright (c) 2014 Luigi D'Acunto. All rights reserved.
//

#import "BTAlarmViewController.h"

@interface BTAlarmViewController ()

@end

@implementation BTAlarmViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    NSDate *currentTime = [NSDate date];
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"ddMMyyyy	hh:mm"];
    NSString *min = [dateFormatter stringFromDate: currentTime];

    NSString *max = @"22042024 12:00";
    NSDateFormatter *dateFormat = [[NSDateFormatter alloc] init];
    [dateFormat setDateFormat:@"ddMMyyyy hh:mm"];
    NSDate *datemin = [dateFormat dateFromString:min];
    NSDate *datemax = [dateFormat dateFromString:max];
    self.datePick.maximumDate = datemax;
    self.datePick.minimumDate = datemin;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)enableAction:(id)sender {
    if([self.enableButton.titleLabel.text isEqualToString:@"ENABLE"]){
        [self.enableButton setTitle:@"DISABLE" forState:UIControlStateNormal];
        [self sendMessage:1];
    }
    else if([self.enableButton.titleLabel.text isEqualToString:@"DISABLE"]){
        [self.enableButton setTitle:@"ENABLE" forState:UIControlStateNormal];
        [self sendMessage:0];
    }
}
-(void)sendMessage:(NSUInteger) enable{
    
     NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyyMMddHHmm"];
    NSString *dateString = [dateFormatter stringFromDate: self.datePick.date];
    NSString *stringSS = [NSString stringWithFormat:@"*%@%d;",dateString,enable];
    NSLog(@"%@",stringSS);
    
    NSData* data = [stringSS dataUsingEncoding:NSUTF8StringEncoding];
    if([self.deviceType isEqualToString:@"BC127"])
    {
        [self.myPeripheralBLE writeValue:data forCharacteristic:self.myCharacteristic type:CBCharacteristicWriteWithResponse];
        NSLog(@"Send String To BC127");
    }
    else if([self.deviceType isEqualToString:@"HM10"])
    {
        [self.myPeripheralBLE writeValue:data forCharacteristic:self.myCharacteristic type:CBCharacteristicWriteWithoutResponse];
        NSLog(@"Send String To HM10");
    }
}
@end
